Metafunction
Value
Type of the items in the container or behind an iterator.
Value<T[, I]>::Type
Value<TTuple, POSITION>::Type
Include Headers
seqan/basic.h
Parameters

T

Type for which the value type is determined.
Types: Accumulator, Align, AlignCols, char array, Finder, FrequencyDistribution, Gaps, Holder, IdManager, IdManager, InternalMap, InternalPointerMap, InternalRawMap, IntervalAndCargo, IntervalTree, IntervalTreeNode, Iter, Journaled String, MotifFinder, Pdf, PointAndCargo, Proxy, Pseudocount, Rng, Score, SeedSet, Segment, Shape, SimpleType, Splitter, std::basic_string, std::list, std::vector, String, StringEnumerator, thrust::device_vector, Triple, Tuple, UnionFind

I | Index of the entry for which to retrieve the type. Types: int Remarks: This is only used for static-sized containers and aggregates.
TTuple | Pair, Triple, or Tuple to return value from. Types: Pair, Triple, Tuple
POSITION | Position of the type to query. Types: int

Remarks
The value type of a container T is the type of the elements in T. For example, the value type of a sequence of int is int.
Return Values

Type | Value type of T.

Member of
MotifFinder, thrust::device_vector, Shape, Gaps, Pseudocount, Triple, InternalRawMap, IntervalAndCargo, IntervalTreeNode, InternalMap, IdManager, SeedSet, Journaled String, StringEnumerator, Finder, String, Tuple, std::basic_string, char array, Rng, Proxy, Pair, Segment, std::list, PointAndCargo, std::vector, Iter, Accumulator, Pdf, UnionFind
Functions

assignValueById | Adds a new string to the StringSet and returns an id.
create | Makes an object to owner of its content.
setValue | Makes holder dependent.

Examples
Value<String<char> >::Type c; // c has type char
Part of Concept
IteratorAssociatedTypesConcept, Container, AggregateConcept
See Also
ValueSize, Row, Col, Reference, GetValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59